Package com.google.android.exoplayer2.ext.mediasession

## Interface MediaSessionConnector.CaptionCallback

- All Superinterfaces:
    `MediaSessionConnector.CommandReceiver`
  Enclosing class:
    MediaSessionConnector

      public static interface MediaSessionConnector.CaptionCallback
      extends MediaSessionConnector.CommandReceiver

  Handles requests for enabling or disabling captions.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasCaptions​(Player player)` | Returns whether the media currently being played has captions.
    `void` | `onSetCaptioningEnabled​(Player player, boolean enabled)` | See `MediaSessionCompat.Callback.onSetCaptioningEnabled(boolean)`.

    - ### Methods inherited from interface com.google.android.exoplayer2.ext.mediasession.MediaSessionConnector.CommandReceiver

      `onCommand`

- - ### Method Detail

    - #### onSetCaptioningEnabled

          void onSetCaptioningEnabled​(Player player,
                                      boolean enabled)

      See `MediaSessionCompat.Callback.onSetCaptioningEnabled(boolean)`.

    - #### hasCaptions

          boolean hasCaptions​(Player player)

      Returns whether the media currently being played has captions.

      This method is called each time the media session playback state needs to be updated and published upon a player state change.